Welcome

 (c) 2002-2004 TweakNow.com - All rights reserved

Welcome to TweakNow PowerPack 2005 Professional

TweakNow PowerPack is a collection of tools to customize, maintain, and optimize your Windows. It includes more than 20 different tools that can help you done many think from customizing Windows looks and feels to optimizing your Windows performance.

The Windows Enhancement tool let you access myriad undocumented Windows settings that effect Windows looks and feels. Only with simple mouse clicks, you can make you Windows more comfortable and enjoyable to use.

The System Optimizer tool let you access myriad undocumented Windows settings that effect system performance and stability. You can optimize Internet connection, Windows cache, and much much more.

The RAM Idle Pro tool intelligently manages the free memory that is available to run Windows programs. Normally, Windows runs progressively slower as you start and close multiple programs. The RAM Idle program prevents performance from degrading as your swap files and programs in and out of memory.

The TweakNow RegCleaner lets you search and clean obsolete entries from your Windows registry. By removing the obsolete entries you can compact the registry size thus will increase Windows performance, because Windows needs shorter time to load, search, and read data from the registry. Also, in many cases, the obsolete entries can reduce your Windows stability.

The System Info tool gives you a complete picture of all aspects of your computer's hardware, including detailed information about your motherboard, processor, video card, memory, hard disk, and network. Armed with this information, it's easy to install new hardware and software, and quickly identify and fix system problems.

Whether you're a business person who needs to ensure that your computer is stable and reliable, a serious game player who wants to optimize your computer for the latest games' demands on computer resources, or a home user who wants to personalize the look and feel of Windows and Internet Explorer, TweakNow PowerPack 2005 Professional provides the tools you need to modify your computer safely.

TweakNow PowerPack 2005 Modules:

Analyze and Maintain

  • Configuration Files
  • Process Manager
  • Special Folders
  • Startup Manager
  • System Information

Customize and Optimize

  • RAM Idle Professional
  • System Optimizer
  • Windows Enhancement

Clean and Secure

  • Internet Explorer Cleaner
  • Privacy Protector
  • Program Restriction
  • Start Menu Cleaner
  • TweakNow DiskCleaner
  • TweakNow RegCleaner
  • Uninstall Applications

Miscellaneous Tools

  • Auto Logon
  • Auto Shutdown
  • CD Autorun
  • Folder Size Analyzer
  • OEM Info
  • TweakNow Shortcut
  • Virtual Desktop
  • Virtual Drive

Minimum Requirement:

  • Microsoft Windows 98/ME/2000/XP.


What's New

What's New

New in v1.1.1

  • Further improvement for MTU (Maximum Transmission Unit) tweak.
    Location: Customize and Optimize -> System Optimizer -> Connection (Windows 2000/XP only).
    *If you have problem with the new MTU tweak module, please feel free to contact us at info@tweaknow.com.
  • Minor bug fixes.

New in v1.1.0

  • Improved MTU (Maximum Transmission Unit) tweak.
    Location: Customize and Optimize -> System Optimizer -> Connection (Windows 2000/XP only).
  • Added "Convert To..." menu into Context Menu section.
    Location: Customize and Optimize -> Windows Enhancement -> Windows Explorer -> Menu.
  • Updated TweakNow RegCleaner module to v1.3.2.
    Location: Clean and Secure -> TweakNow RegCleaner.
  • Updated RAM Idle Professional module to v3.6.1.
    Location: Customize and Optimize -> RAM Idle Professional.
  • Fixed problem with "Low Disk Warning" tweak.
    Location: Customize and Optimize -> System Optimizer -> System -> General.

New in v1.0.5

  • Improved user interface.
  • Added HTTP connection tweak into Connection section.
    Location: Customize and Optimize -> System Optimizer -> Connection.
  • Improved support for Windows XP SP-2.


License

END USER LICENSE AGREEMENT

PLEASE READ THIS END USER LICENSE AGREEMENT ("EULA") BEFORE USING THIS SOFTWARE. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THESE TERMS, PROMPTLY CEASE ALL FURTHER INSTALLATION OR USE OF THE SOFTWARE.

PROPRIETARY RIGHTS

This software product is protected by copyright laws and international copyright treaties. All rights not currently granted in this license agreement are reserved entirely to TweakNow.com. This Agreement does not grant you any rights to patents, copyrights, trade secrets, trade names, trademarks, or any other rights, functions or licenses in respect of the Software.

LICENSE

TweakNow PowerPack 2005 is distributed in three licenses: 10 days Trial, Single User and Family License.

  • 10 Days Trial License : grant the End user to install the Software Product for evaluation purpose only.
  • Single User License : grant the licensed user to install the Software Product on a single computer for the user's own individual use.
  • Family License : grant the licensed user to install the software on unlimited home computers of his or hers for non-commercial use and one commercial use computer.

DISTRIBUTION

Copies of trial version of TweakNow PowerPack 2005 may be distributed in accordance to the following terms:

  • The files are distributed in their entirety.
  • No alteration is made to the files, including changing or removing any messages.
  • No charge (other than charges for disk duplication and handling) be made for any redistribution.

If you need more information about the license, please email us at info@tweaknow.com.

LIABILITY

We try to keep our software as bug-free as possible. But it's a general rule that no software ever is error free, and the number of errors increases with the complexity of the program.

TERMINATION

This License shall remain in full force and effect unless and until terminated. This License will terminate immediately, automatically and without notice if LICENSEE fails to comply with any provision of this Agreement.


Contact

Email Support

  • For product information or to place an order online, email us at order@tweaknow.com.
  • For technical support, email us at info@tweaknow.com.

Latest News

  • For the latest news of TweakNow PowerPack 2005 Professional, please visit our web site at www.tweaknow.com.


Order

How To Order

There are several ways you may buy a registered copy of TweakNow PowerPack 2005 Professional. Your registration information and instruction to download the registered version will be emailed to you as soon as your order is processed.

Remember, as a registered users you will have free upgrade to all future versions of TweakNow PowerPack 2005 Professional.

TweakNow PowerPack 2005 Professional Pricing:

  • Single-User License: $34.95 (USD) per computer.

  • Family License: $69.95 (USD).

With Family License you may install TweakNow PowerPack 2005 Professional on unlimited home computers for non-commercial use and one commercial use computer.

Ordering Method:

We accept orders by the following methods:

  • Credit Cards.

  • Check.

  • Money Order.

  • Bank/Wire Transfer.

Click here to order TweakNow PowerPack 2005 Professional.


Contact

Product Comparison

Component | TweakNow PowerPack 2005 Professional | TweakNow PowerPack 2005 Standard | TweakNow Accelerator XP | TweakNow WinCleaner XP
Price | 34.95 USD | 24.95 USD | 24.95 USD | 19.95 USD
Supported OS |  |  |  |
Windows XP Professional |  |  |  |
Windows XP Home Edition |  |  |  |
Windows 2000 |  |  |  |
Windows ME |  |  |  |
Windows 98 |  |  |  |
Analyze and Maintain Module |  |  |  |
Configuration Files |  |  |  |
Process Manager |  |  |  |
Special Folders |  |  |  |
Startup Manager |  |  |  |
System Information |  |  |  |
Customize and Optimize Module |  |  |  |
RAM Idle Professional |  |  |  |
System Optimizer |  |  |  |
Windows Enhancement |  |  |  |
Clean and Secure Module |  |  |  |
Internet Explorer Cleaner |  |  |  |
Privacy Protector |  |  |  |
Program Restriction |  |  |  |
Start Menu Cleaner |  |  |  |
TweakNow DiskCleaner |  |  |  |
TweakNow RegCleaner |  |  |  |
Uninstall Applications |  |  |  |
Miscellaneous Tool |  |  |  |
Auto Logon |  |  |  |
Auto Shutdown |  |  |  |
CD Autorun |  |  |  |
Folder Size |  |  |  |
OEM Info |  |  |  |
TweakNow Shortcut |  |  |  |
Virtual Desktop |  |  |  |
Virtual Drive |  |  |  |


Analyze and Maintain

Analyze and Maintain

Analyze and Maintenance category provides six tools which helps you to analyze and maintain your system.

Tools in this category:

  • Configuration Files: Use this tool to edit Windows configuration files.
  • Processes Manager: Use this tool to manage currently running applications list.
  • Special Folders: Use this tool to change the location (directory path) of Windows special folders.
  • Startup Manager: Use this tool to manage list of applications that are launched at Windows startup.
  • System Information: Use this tool to gather comprehensive information about your computer's hardware and software.


Configuration Files

Configuration Files

Use this tool to edit Windows configuration files.

Modifying Windows configuration files can cause serious problems that may require you to reinstall your operating system. Please ignore this tool if you're unsure what to do.


Processes Manager

Processes Manager

Process Manager provides information about applications (processes) running on your computer. It also displays the most commonly used performance measures for applications (processes) . You can use this tool to terminate, modify priority level, and check amount of memory used by each application (processes).

Improving performance by modifying application priority levels

Assigning higher priority level to an important applications (processes), should significantly improve it's performance.

But please note:

- For optimal performance, only set high priority level to one application (processes) at one time.
- Some games and multimedia applications might have a problem when running in high priority level.

To modify application priority level

Click the file name that you want to change the priority level, and then click "Set Priority" button. There are three level of priority setting that you can select:

  • Idle priority - Specify this class for a program whose threads run only when the system is idle.
  • Normal priority - Specify this class for a program with no special scheduling needs (default). Note: In Windows 2000/XP, the normal priority divided into below normal, normal, and above normal priority.
  • High priority - Specify this class for a program that performs time-critical tasks that must be executed immediately.


Special Folders

Special Folders

Special Folders is designed to help you manage your personal data (My Documents, My Picture, Internet Explorer History). There are several reason why user need to move your personal data to other volume, other harddisk, or even to other computer in your network. The first reason is to avoid loosing your personal data when your main drive (drive that is used to install Windows) is broken or you need to reinstall Windows. The other reason is to make your personal data accessible from anywhere by placing them on a network location.

For security reason not all special folders location are able to change.


Startup Manager

Startup Manager

Startup Manager is a powerful startup editor tool. With this tool you can easily disable/enable or add/delete any applications from the Windows startup list. There are four locations that can be used to store startup item.

  • My Start Menu : any changes in this location will only affect your user account.
  • All Users Start Menu : any changes in this location will affect all users in your computer.
  • My Start Registry : any changes in this location will only affect your user account.
  • All Users Registry : any changes in this location will also affect all users in your computer.

Tips:

You can speed up your Windows boot process and increase the amount of free memory available at startup by reducing number of applications in your Windows startup list. So that you may consider to remove all unneeded applications from the startup list.

How to decide which applications that I should remove from the startup list?

Unfortunately, you have to decide this by your self. In the command field you can see the location of each application. If unsure, it is often useful to visit application's folder to get more information.


System Information

System Information

System Information gives you detailed information about your computer, network, and operating system. The information is compiled in eight modules:

  • System Summary: shows general information about your system.
  • Harddisk: shows the amount of free and used disk space, and detailed feature of file system used on each drive.
  • Memory: shows the amount of available physical and virtual memory.
  • Network: shows important information about setting of the networks to which your computer is attached.
  • Processor: shows your processor's capabilities.
  • Video: shows your video card's capabilities.
  • Windows: shows important information of your Windows and its components.
  • DirectX: shows important information about DirectX driver installed in your computer.

All information provided in System Information can be exported to text file (*.txt) by clicking "create Report" button.


Customize and Optimize

Customize and Optimize

This category provide you with tools to improve performance of your Windows and customize Windows looks and feels.

Tools in this category:

  • RAM Idle Professional: use this tool to defrag and recover physical RAM wasted by Windows and other applications.
  • System Optimizer: Use this tool to customize myriad undocumented settings in Windows that effect system performance and stability.
  • Windows Enhancement: Use this tool to customize myriad undocumented settings in Windows that effect Windows look and feel.


RAM Idle Professional

RAM Idle Professional

RAM Idle Pro is a smart memory management program that will keep your system from running slower and slower after been used for several hours. RAM Idle Pro works by freeing up physical RAM wasted by Windows and other applications.

Getting Started

To start using RAM Idle Pro:

  1. Click "Enable" button to enable RAM Idle Pro. When enabled, you should see RAM Idle Pro Icon [image] in Windows tray (notification) area. Move your curser over the icon to get information about number displayed inside the icon.
  2. Click "More Options" button.
  3. On the Main tab sheet, check "Start automatically with Windows" checkbox to start RAM Idle Pro automatically at windows startup.

RAM Idle Professional Options

Main Screen

  • Target free RAM
    Defines the amount of RAM that will be recovered when the minimum free ram level is reached. Please note that you should not set the value for this option too high, as instead of getting a better performance, your system will run slower. It is very important to set a correct value for this option.
    Recommended value: 1/4 of total RAM or lower.

  • Minimum free RAM
    Defines the minimum free RAM level. When the available RAM is lower then the minimum free RAM value, RAM Idle will automatically perform the defragmentation and recovery process. Please note that in order to avoid system instability, RAM Idle will only start the defragmentation and recovery process when your computer is not busy.
    Recommended value: 1/16 of total RAM or lower.

More options->Main

  • Start automatically with Windows
    Enable this option to start RAM Idle automatically when Windows start.
    Recommended: enable.

  • Free up X MB of RAM on startup after Y seconds
    When enabled, RAM Idle will automatically recover X MB of RAM at startup.
    Default: disable.

  • Free up X MB every Y minutes if free RAM below Z %
    RAM Idle will try to recover X MB of your RAM every Y minutes, only if your CPU Usage is below Z %. Please note that, in this option, RAM Idle will only use the soft recovery methods. This means that RAM Idle will not force Windows to free up the RAM.
    Recommended value: X=2; Y=3; Z=50.

  • Disable the CPU usage detection
    By default RAM Idle will only start the recovery process when the CPU is not busy. However, certain Antivirus or CPU cooling programs may sometimes make the CPU Usage always appear at the 100% level, even though this is not the real value. If your CPU Usage status always remains at the 100% level, make sure that you check this option to tell RAM Idle to ignore your CPU Usage status, otherwise RAM Idle will never have a chance to recover the RAM.
    Recommended: check this option if your CPU Usage always remains at the 100% level.

More options->Tray Icon

  • Tray icon text color
    Use this option to change RAM Idle tray icon text color.
    Default: black.

  • Display "system information" in RAM Idle tray icon

    You can use this option to monitor your system status. There are three items of system information that maybe displayed in the RAM Idle tray icon:

    - Free physical memory.
    - Total CPU usage.
    - System Resources.

    Note: System Resources is only available in Windows 98/ME.

  • Hide RAM Idle tray icon
    Use this option to hide RAM Idle icon from taskbar notification area.
    Default: disable.

More options->Popup Menu

  • Free up ... MB

    Use this feature to manually recover a specified amount of RAM, by selecting a choice from the RAM Idle popup menu.

More options->Others

  • Clear the clipboard when freeing up RAM
    When enabled, RAM Idle will also clear the Windows clipboard while freeing RAM.
    Default: disable.

  • Play alarm sound when freeing up RAM
    When enabled, RAM Idle will play a .wav file before freeing up RAM.
    Default: disable.

  • Free up RAM hot key : Cltr + Alt +
    Use this hotkey to free up as much RAM as possible at a particular time. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).

  • Disable/enable RAM Idle hotkey : Cltr + Alt +
    Use this hotkey to quickly enable/disable RAM Idle. To disable this feature, simply clear the edit box.
    Default: disable (the edit box is empty).


System Optimizer

System Optimizer

With System Optimizer you can customize myriad undocumented settings in Windows that effect system performance and stability.

Modules included in System Optimizer:

  • Windows: use this to optimize your Windows performance.
  • Connection: use this to optimize your network and internet connection.


Windows Enhancement

Windows Enhancement

With Windows Enhancement you can customize myriad undocumented settings in Windows that effect Windows looks and feels.

Modules included in Windows Enhancement:

  • Control Panel
  • Desktop
  • Windows Explorer
  • Start Menu and Taskbar
  • Internet Explorer
  • Outlook (Express)
  • Media Player
  • Windows Messenger
  • System


Clean and Secure

Clean and Secure

This category provide you with tools to clean-up and secure your Windows.

Tools in this category:

  • Internet Explorer Cleaner : Use this tool to manage Internet Explorer cookies and Favorites menu.
  • Privacy Protector : Use this tool to protect your privacy by eliminating the "tracks" that you leave behind.
  • Start Menu Cleaner : Use this tool to hide selected menus from Programs menu folder of Windows start menu.
  • TweakNow DiskCleaner : Use this tool to search and remove temporary and other unnecessary files in order to recover valuable harddisk space.
  • TweakNow RegCleaner : Use this tool to search and remove obsolete entries from Windows registry in order to increase your system performance.
  • Uninstall Application : Use this tool to remove installed applications quickly and easily.


Internet Explorer Cleaner

Internet Explorer Cleaner

Internet Explorer Cleaner provide you with tools to manage Internet Explorer cookies and Favorites menu.

Tools in this category:

  • Cookies: Use this to manage Internet Explorer cookies.
  • Favorites Menu: Use this to manage Internet Explorer Favorites menu.


Cookies

Cookie Manager

Use this tool to manage Internet Explorer cookies. With Cookie Manager, you can delete and get detail information of each cookie.

About Cookies

Some Web sites store information in a small text file on your computer. This file is called a cookie.

There are several types of cookie, and you can choose whether to allow some, none, or all of them to be saved on your computer. If you do not allow cookie at all, you may not be able to view some Web sites or take advantage of customization features (such as local news and weather, or stock quotes).

For more information about cookie, please see Internet Explorer help.


Favorites Menu

Favorites Menu Cleaner

Use this tool hide selected menus from Favorites folder of Internet Explorer.

Using Favorites Menu Cleaner

Uncheck the checkbox associated with menus that you wish to hide, and then click "Save" button.


Privacy Protector

Privacy Protector

Use this tool to protect your privacy by eliminating the "tracks" that you leave behind.

Using Privacy Protector?

Check the checkbox associated with item that you wish to be removed, and then click "Save" button.


Start Menu Cleaner

Start Menu Cleaner

Use this tool hide selected menus from Programs menu folder of Windows start menu

Using Start Menu Cleaner?

Uncheck the checkbox associated with menus that you wish to hide, and then click "Save" button.


TweakNow DiskCleaner

TweakNow DiskCleaner

Use this tool to search and remove temporary and other unnecessary files in order to recover valuable harddisk space.

Getting Started

Before you start the cleaning process, it might be a good idea to configure the program first. Click the options button to open the options page.

TweakNow DiskCleaner Options

The default settings should be good for most users. However, you may want to adjust them to suit your need. There are two options that you can modify:

  • Directory to exclude: TweakNow DiskCleaner will ignore all directories in this list when searching for unused files.
  • Select action: set whether TweakNow DiskCleaner should create backup files first before deleting unused files. The backup files is created in Zip format.

Using TweakNow DiskCleaner?

Below is a step by step procedure to use the program

  1. Select drive to clean.
  2. Select file types.
  3. Click "Scan Now!" button.
  4. Wait until the scan process is finished.
  5. Review the result. Uncheck the checkbox of items that you wish to keep to prevent TweakNow DiskCleaner from deleting them.
  6. Click "Delete" button.

To restore backup file

If you choose to create backup file in the option page, you can restore the backup file easily.

Follow the following instructions to restore the backup file.

  1. Click "Restore" button.
  2. Select backup file to restore.
  3. Click "Restore Now!" button.

If you sure that you no longer need the backup file, you can delete it to recover harddisk space.


TweakNow RegCleaner

TweakNow RegCleaner

The Registry is a heart and soul of any Windows system. It contains information that controls how your Windows appears and how it behaves. Most applications today use registry to store configuration and other important data. When you install an application, a new registry entries will be created. This entries will automatically be deleted when you uninstall the application. Unfortunately, it is not always work that way. Sometimes, you will find that some applications fail to remove their own registry entries. This entry will become obsolete.

After a long period, after installing and uninstalling a lot number of applications, your Windows registry will contain a large number of obsolete entries. This will significantly increase the registry size and thus will slowdown your computer, because Windows will need more time to load, search, and read data from registry.

To keep your computer in top performance, it is recommended to periodically clean your Windows registry.

TweakNow RegCleaner Features

  • Fast: using a high performance engine, TweakNow RegCleaner quickly scan your registry to find obsolete entries.
  • Accurate: using complex algorithm TweakNow RegCleaner accurately identify obsolete entries.
  • Secure: TweakNow RegCleaner automatically create backup file before deleting obsolete entries from your registry.

Getting Started

Before you start the cleaning process, it might be a good idea to configure the program first. Click "Options" button to open the options page.

TweakNow RegCleaner Options

The default settings should be good for most users. However, you may want to adjust them to suit your need. There are two options that you can modify:

  • Ignore Missing Files on Removable Drives: TweakNow RegCleaner will ignore obsolete entries that point to removable drives. It is recommended to check this setting.
  • Registry Keys to exclude: TweakNow RegCleaner will ignore all keys in this list when searching for obsolete entries.

Using TweakNow RegCleaner

Below is a step by step procedure to use the program

  1. Select section to scan
  2. Click "Scan Now!" button.
  3. Wait until the scan process is finished.
  4. Review the result. Uncheck the checkbox of items that you wish to keep to prevent TweakNow RegCleaner from deleting them.
  5. Click "Delete" button.

To restore backup file

  1. Click "Restore" button.
  2. Select backup file to restore.
  3. Click "Restore Now!" button.

If you sure that you no longer need the backup file, you can delete it to recover harddisk space.


Uninstall Applications

Uninstall Applications

Uninstall Applications is designed to help you manage applications uninstall entries on your computer. There are several scenario where Uninstall Application might be useful for you:

  • As replacement for Windows Change or Remove Programs tools
    If you have to share your computer with others, you might need to consider to hide Change or Remove Programs to prevent other users from uninstalling applications from your computer. You can use Installed Applications tools to do your uninstalling need. Since TweakNow PowerPack 2005 is protected by password, only users who know the password are able to access the Uninstall Applications tools.
  • To remove unused uninstaller entries
    Some time for some reason you need to manually remove application from your computer. You can easily delete the programs folder and link from your harddisk, but not the uninstaller entries. It will stay in your Windows registry forever. You will need this tool to help you here.


Miscellaneous Tools

Miscellaneous Tools

Tools in this category:

  • Auto Logon: Use this tool to automatically logon to a specified user account at startup.
  • Auto Shutdown: Use this tool to easily schedule your computer for log of, stand by, hibernate, or shutdown on specified of time.
  • CD Autorun: Use this tool to extend Windows CD Autorun feature.
  • Folder Size: Use this tool to scan and analyze the disk space usage on all folders of your computer.
  • OEM Info: Use this tool to customize Windows registration information displayed in System Properties.
  • TweakNow Shortcut: Use this tool to make a special shortcut which is not only able to launch application, but also able to free up RAM and set application priority level automatically.
  • Virtual Desktop: Use this tool to run multiple desktops (up to four) simultaneously.
  • Virtual Drive: Use this tool to create virtual drive from any folder in your Windows Explorer.


Auto Logon

Auto Logon

Use this tool to automatically logon to a specified user account at Windows startup.

To enable Auto Logon feature

  1. From user list, select your user name.
  2. Enter your password.
  3. Check the "Logon Automatically at Startup" checkbox.
Auto Logon feature will only work with password protected account. Thus the password box can not be empty


Auto Shutdown

Auto Shutdown

-> Auto Shutdown Tray Icon.

(Auto Shutdown Information)

(Auto Shutdown Menu)

Use this tool to easily schedule your computer for log off, stand by, hibernate, or shutdown on specified of time.

To enable Auto Shutdown feature

  1. Select Action.
  2. Set Timer.
  3. Click "Run Auto Shutdown" button.

When you click "Run Auto Shutdown" button, the Auto Shutdown icon will be displayed in Windows tray area. Double click the icon to display Auto Shutdown information dialog or click right mouse button to display the menu.


CD Autorun

CD Autorun

Use this tool to extend Windows CD Autorun feature.

CD Autorun Options

  • Disable Autoplay Feature for All CD/DVD
    By default, Windows will run a default application when a new CD is inserted into your CD/DVD ROM drive. You can use this option to stop that behavior.

  • Change Audio CD Player
    Use this option to change Windows default audio CD player.

  • Change DVD Player
    Use this option to change Windows default DVD (movie) player.

  • Display CD/DVD icon in Windows desktop (Mac OS style)
    Use this option to display CD icon in your desktop when new CD inserted. This icon will automatically be deleted when the CD is removed from the CD/DVD ROM drive.


Folder Size Analyzer

Folder Size

Use this tool to scan and analyze the disk space usage on all folders of your computer.

Getting Started

Double click the drive icon in the listview to start the analyzing process.


OEM Info

OEM Info

Use OEM Info to customize Windows registration information displayed in System Properties. This tool would be useful for computer manufactures to remain their customers where they can get support.

To add your OEM information into System Properties?

  1. Enter name (optional).
  2. Enter company (optional).
  3. Enter manufacturer (must be filled if you wish to add company logo).
  4. Enter computer model (optional).
  5. Enter support information (optional).
  6. Add company logo (optional).

To open System Properties, go to Control Panel -> System.
Click "Screen Shot" button for more information.


TweakNow Shortcut

TweakNow Shortcut

Use this tool to create TweakNow Shortcut. Unlike Windows standard shortcut, the TweakNow Shortcut also able to free up RAM and set application priority level automatically.

Why using TweakNow Shortcut?

By default all applications are running in normal priority. Yes, you can simply change the priority from Windows Task Manager, but unfortunately, Windows will reset the setting when you close the application. Therefore you will need to change the priority every time you run the application. With TweakNow shortcut, you only need to set the priority once and every time you run the application (by double clicking the shortcut created using TweakNow Shortcut), it will set the priority automatically. As an addition you can also tell RAM Idle Professional to free up amount of RAM before the application started.

To create TweakNow shortcut for your application:

  1. Enter application name.
  2. Enter application path (location). Use browse button to find the path.
  3. Enter application parameter (if any). Consult your application manual for information about parameter.
  4. Select the location where you wan to put your shortcut.
  5. Select application priority.
  6. Select the level of RAM that would be recovered before TweakNow Shortcut starts the application. Note: this option will be ignored if RAM Idle Professional is not enabled.
  7. Click "Click here to create the shortcut" button.


Virtual Desktop

Virtual Desktop

-> Virtual Desktop Tray Icon.

(Virtual Desktop)

(Virtual Desktop Menu)

Use this tool to enable Virtual Desktop feature. With Virtual Desktop you can have four different desktop screens that can be used separately (applications running on one desktop can not be seen from the others).

All virtual desktops will share the same files and shortcuts.


Virtual Drive

Virtual Drive

Use this tool to create virtual drive from any folders.

Limitation: Virtual Drives will have the same label as the parent drive where the folder (which is used to create the Virtual Drive) located.

To create virtual drive:

  1. Click "Create" button.
  2. Select drive letter.
  3. Select folder path.
  4. Click "Create Virtual Drive" button.